Bug 493484 - GeForce 9600M GT / Nouveau: switching to VT and back kills display
GeForce 9600M GT / Nouveau: switching to VT and back kills display
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-01 18:07 EDT by Bruno Antunes
Modified: 2009-08-18 19:23 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-18 19:23:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruno Antunes 2009-04-01 18:07:04 EDT
Description of problem:

Tried out the latest F11 Beta (Gnome) and added nouveau.modeset=1 to the boot options and it booted fine, although complaining that it is an unrecognized boot option and was ignored. Nevertheless, KMS was enabled and the transitions are beautifully smooth. However, after logging in to Gnome and switching to a VT (Ctrl-Atl-F2) the transition was smooth as silk, but returning to X11 (Ctrl-Alt-F1) made the screen go black. No output whatsoever. Even returning to a VT with Ctrl-Alt-F2 or 3 or 4 had no effect. Just dead.

Version-Release number of selected component (if applicable):
Fedora 11 Beta LiveCD (Gnome spin)

How reproducible:
Add nouveau.modeset=1 to boot options, boot, log in to Gnome, switch to a VT, switch back to X
  
Actual results:
After the initial switch to the VT and switch back to X, screen goes black

Expected results:
No screen blackness at all

Additional info:
output from lspci is 
01:00.0 VGA compatible controller: nVidia Corporation GeForce 9600M GT (rev a1)
(prog-if 00 [VGA controller])
 Subsystem: Acer Incorporated [ALI] Device 015e
 Flags: bus master, fast devsel, latency 0, IRQ 16
 Memory at ce000000 (32-bit, non-prefetchable) [size=16M]
 Memory at d0000000 (64-bit, prefetchable) [size=256M]
 Memory at cc000000 (64-bit, non-prefetchable) [size=32M]
 I/O ports at 2000 [size=128]
 Expansion ROM at <unassigned> [disabled]
 Capabilities: [60] Power Management version 3
 Capabilities: [68] MSI: Mask- 64bit+ Count=1/1 Enable-
 Capabilities: [78] Express Endpoint, MSI 00
 Capabilities: [b4] Vendor Specific Information <?>
 Capabilities: [100] Virtual Channel <?>
 Capabilities: [128] Power Budgeting <?>
 Capabilities: [600] Vendor Specific Information <?>
 Kernel modules: nouveau, nvidiafb  


Also, isn't it weird that, despite enabling KMS, the kernel complains it's ignoring the nouveau.modeset=1 option?
Comment 1 Ben Skeggs 2009-04-09 01:39:51 EDT
The kernel complaining is normal, it doesn't understand the option.  However, modprobe will look for it when it's loading the module at a later point.

Are you able to post your /var/log/messages from after a failed transition back to X?
Comment 2 Bruno Antunes 2009-04-09 04:00:09 EDT
How do you suggest I do that? The screen goes dead :) Unless I install the beta and then reboot. Would that do?
Comment 3 Ben Skeggs 2009-04-09 06:01:20 EDT
/var/log/messages will contain the kernel logs from the last couple of boots, so that's not a problem :)
Comment 4 Bruno Antunes 2009-04-09 06:03:53 EDT
I'm using the LiveCD, so I have to install it.
Comment 5 Adam Williamson 2009-04-17 14:57:10 EDT
if the system's still running, you could ssh into it from another system and grab the log, or just work blind - switch to a vt, log in as root, plug in a usb stick, mount /dev/sdb1 /mnt/temp , cp /var/log/messages /mnt/temp , umount /mnt/temp , then reboot :)
Comment 6 Bug Zapper 2009-06-09 09:02:26 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Adam Williamson 2009-07-20 20:18:55 EDT
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.